<?php
/**
 * Plugin Name: Share Logins Pro expiry patch
 * Description: Fix for the auto license expiration issue of Share Logins Pro
 * Plugin URI: https://codexpert.io
 * Author: codexpert
 * Author URI: https://codexpert.io
 * Version: 1.0
 */
add_filter( 'cron_schedules', 'cx_cron_schedules' );
function cx_cron_schedules( $schedules ) {
	$schedules['weekly'] = array(
		'interval'	=> 604800,
		'display'	=> __('weekly')
	);
	$schedules['monthly'] = array(
		'interval'	=> 2592000,
		'display'	=> __('monthly')
	);
	return $schedules;
}

add_filter( 'share-logins-pro_cron_interval', 'cx_custom_interval' );
function cx_custom_interval( $interval ) {
	return 'monthly';
}